<template>
  <div id="main">
    <p class="welcome" >{{ shop.description }}</p>
    <table
      id="main-pending-orders"
      border="0"
      width="">
      <thead>
        <tr>
          <th v-if="shop.isShipper === true">Deliveries</th>
          <th v-else>Orders</th>
          <th>Status</th>
        </tr>
      </thead>
      <tbody
        v-for="(order) in orders"
        :key="order.order_id"
        class="orders">
        <tr
          v-if="order.status === 'completed' && !shop.isShipper"
          class="completed" >
          <td>{{ order.name }} for {{ order.account.name }}</td>
          <td>Completed</td>
        </tr>
        <tr
          v-else-if="order.status === 'completed' && shop.isShipper"
          class="in-progress">
          <td>{{ order.name }} for {{ order.account.name }}</td>
          <td>In Progress</td>
        </tr>
        <tr
          v-else-if="order.status === 'in_progress'"
          class="in-progress" >
          <td>{{ order.name }} for {{ order.account.name }}</td>
          <td>In Progress</td>
        </tr>
        <tr
          v-else-if="order.status === 'delivered'"
          class="completed">
          <td>{{ order.name }} for {{ order.account.name }}</td>
          <td>Delivered</td>
        </tr>
      </tbody>
    </table>
  </div>
</template>

<script>
export default {
  props: {
    shop: {
      type: Object,
      default: function () { return {}; }
    },
    orders:{
      type: Array,
      default: function () { return []; }
    }
  }
};
</script>

<style>

</style>